# List all account positions

GET https://api.snaptrade.com/accounts/{accountId}/positions/all

Returns a list of all positions in the specified account.

The `results` list can contain multiple instrument types in the same response, including stocks, ADRs, ETFs, mutual funds, closed-end funds, crypto, futures, and option positions. Use the `instrument.kind` discriminator to determine the schema for each position's `instrument`.

`mutualfund` positions may also include `cash_equivalent`. `stock` positions may include `tax_lots` when tax lot data is enabled for the account.

If the connection has become disabled, it can no longer access the latest data from the brokerage, but will continue to return the last available cached state. Please see [this guide](/docs/fix-broken-connections) on how to fix a disabled connection.


Reference: https://docs.snaptrade.com/reference/Account%20Information/AccountInformation_getAllAccountPositions

## Code Examples

### TypeScript

```typescript

import { Snaptrade } from "snaptrade-typescript-sdk";

const snaptrade = new Snaptrade({
  clientId: "PARTNER_CLIENT_ID",
  consumerKey: "CONSUMER_KEY",
});

const response =
  await snaptrade.accountInformation.getAllAccountPositions(
    {
      accountId:
        "917c8734-8470-4a3e-a18f-57c3f2ee6631",
      userId: "snaptrade-user-123",
      userSecret:
        "adf2aa34-8219-40f7-a6b3-60156985cc61",
    },
  );
console.log(response.data);

```

### Python

```python

from pprint import pprint
from snaptrade_client import SnapTrade

snaptrade = SnapTrade(
    client_id="PARTNER_CLIENT_ID",
    consumer_key="CONSUMER_KEY"
)

response = snaptrade.account_information.get_all_account_positions(
    account_id="917c8734-8470-4a3e-a18f-57c3f2ee6631",
    user_id="snaptrade-user-123",
    user_secret="adf2aa34-8219-40f7-a6b3-60156985cc61"
)
pprint(response.body)

```

## OpenAPI Specification

```yaml

openapi: 3.0.0
info:
  description: Connect brokerage accounts to your app for live positions and trading
  version: 1.0.0
  title: SnapTrade
  termsOfService: N/A
  contact:
    email: api@snaptrade.com
  x-konfig-ignore:
    potential-incorrect-type: true
  x-readme:
    explorer-enabled: false
paths:
  /accounts/{accountId}/positions/all:
    get:
      tags:
        - Account Information
      summary: List all account positions
      operationId: AccountInformation_getAllAccountPositions
      description: >
        Returns a list of all positions in the specified account.


        The `results` list can contain multiple instrument types in the same
        response, including stocks, ADRs, ETFs, mutual funds, closed-end funds,
        crypto, futures, and option positions. Use the `instrument.kind`
        discriminator to determine the schema for each position's `instrument`.


        `mutualfund` positions may also include `cash_equivalent`. `stock`
        positions may include `tax_lots` when tax lot data is enabled for the
        account.


        If the connection has become disabled, it can no longer access the
        latest data from the brokerage, but will continue to return the last
        available cached state. Please see [this
        guide](/docs/fix-broken-connections) on how to fix a disabled
        connection.
      parameters:
        - in: query
          required: true
          name: userId
          schema:
            description: >-
              SnapTrade User ID. This is chosen by the API partner and can be
              any string that is a) unique to the user, and b) immutable for the
              user. It is recommended to NOT use email addresses for this
              property because they are usually not immutable.
            type: string
            example: snaptrade-user-123
        - in: query
          required: true
          name: userSecret
          schema:
            description: >-
              SnapTrade User Secret. This is a randomly generated string and
              should be stored securely. If compromised, please rotate it via
              the [rotate user secret
              endpoint](/reference/Authentication/Authentication_resetSnapTradeUserSecret).
            type: string
            example: adf2aa34-8219-40f7-a6b3-60156985cc61
        - in: path
          name: accountId
          required: true
          schema:
            description: >-
              Unique identifier for the connected brokerage account. This is the
              UUID used to reference the account in SnapTrade.
            type: string
            format: uuid
            example: 917c8734-8470-4a3e-a18f-57c3f2ee6631
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: Information about all account positions.
                type: object
                properties:
                  results:
                    type: array
                    description: Positions returned for the request.
                    items:
                      description: Describes a single position.
                      type: object
                      properties:
                        instrument:
                          description: >-
                            Instrument metadata for a V2 position. Use `kind` to
                            determine which schema is present.
                          oneOf:
                            - description: >-
                                Security instrument metadata for stock
                                positions.
                              type: object
                              properties:
                                kind:
                                  type: string
                                  description: Type of security instrument.
                                  enum:
                                    - stock
                                  example: stock
                                id:
                                  type: string
                                  format: uuid
                                  description: Unique identifier for the instrument.
                                  example: 1ef3a5d3-4a9b-40b2-b8d1-cc35f74d6324
                                symbol:
                                  type: string
                                  description: >-
                                    The formatted trading symbol for the
                                    security.
                                  example: AAPL
                                raw_symbol:
                                  type: string
                                  description: The raw symbol without any exchange suffix.
                                  example: AAPL
                                description:
                                  type: string
                                  nullable: true
                                  description: Human-readable description of the security.
                                  example: Apple Inc.
                                currency:
                                  type: string
                                  nullable: true
                                  description: >-
                                    ISO-4217 currency code for the security
                                    listing.
                                  example: USD
                                exchange:
                                  type: string
                                  nullable: true
                                  description: >-
                                    Exchange MIC code or exchange code for the
                                    security.
                                  example: XNAS
                                figi_instrument:
                                  nullable: true
                                  allOf:
                                    - description: >-
                                        Financial Instrument Global Identifier
                                        (FIGI) information for the security. See
                                        [OpenFIGI](https://www.openfigi.com/)
                                        for more information.
                                      type: object
                                      properties:
                                        figi_code:
                                          description: >-
                                            This identifier is unique per security
                                            per trading venue. See section 1.4.1 of
                                            the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG000B9Y5X2
                                          nullable: true
                                        figi_share_class:
                                          description: >-
                                            This enables users to link multiple
                                            FIGIs for the same security in order to
                                            obtain an aggregated view across all
                                            countries and all exchanges. For
                                            example, `AAPL` has a different FIGI for
                                            each exchange/trading venue it is traded
                                            on. The `figi_share_class` is the same
                                            for all of these FIGIs. See section
                                            1.4.3 of the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG001S5N8V8
                                          nullable: true
                              required:
                                - kind
                                - id
                                - symbol
                                - raw_symbol
                            - description: Option instrument metadata for a V2 position.
                              type: object
                              properties:
                                kind:
                                  type: string
                                  description: Type of security instrument.
                                  enum:
                                    - option
                                  example: option
                                id:
                                  type: string
                                  format: uuid
                                  description: Unique identifier for the option instrument.
                                  example: 899e2697-1d38-4c07-91ee-c16a2b1ce5c9
                                symbol:
                                  type: string
                                  description: OCC symbol for the option contract.
                                  example: AAPL  261218C00240000
                                option_type:
                                  type: string
                                  description: Whether the contract is a call or put.
                                  enum:
                                    - CALL
                                    - PUT
                                  example: CALL
                                strike_price:
                                  type: string
                                  format: decimal
                                  description: Strike price for the option contract.
                                  example: '240'
                                expiration_date:
                                  type: string
                                  format: date
                                  description: Expiration date of the option contract.
                                  example: '2026-12-18'
                                description:
                                  type: string
                                  nullable: true
                                  description: >-
                                    Human-readable description of the option
                                    contract.
                                  example: AAPL Dec 18 2026 240 CALL
                                underlying:
                                  description: The underlying instrument for an option.
                                  oneOf:
                                    - description: >-
                                        Security instrument metadata for stock
                                        positions.
                                      type: object
                                      properties:
                                        kind:
                                          type: string
                                          description: Type of security instrument.
                                          enum:
                                            - stock
                                          example: stock
                                        id:
                                          type: string
                                          format: uuid
                                          description: Unique identifier for the instrument.
                                          example: 1ef3a5d3-4a9b-40b2-b8d1-cc35f74d6324
                                        symbol:
                                          type: string
                                          description: >-
                                            The formatted trading symbol for the
                                            security.
                                          example: AAPL
                                        raw_symbol:
                                          type: string
                                          description: >-
                                            The raw symbol without any exchange
                                            suffix.
                                          example: AAPL
                                        description:
                                          type: string
                                          nullable: true
                                          description: >-
                                            Human-readable description of the
                                            security.
                                          example: Apple Inc.
                                        currency:
                                          type: string
                                          nullable: true
                                          description: >-
                                            ISO-4217 currency code for the security
                                            listing.
                                          example: USD
                                        exchange:
                                          type: string
                                          nullable: true
                                          description: >-
                                            Exchange MIC code or exchange code for
                                            the security.
                                          example: XNAS
                                        figi_instrument:
                                          nullable: true
                                          allOf:
                                            - description: >-
                                                Financial Instrument Global Identifier
                                                (FIGI) information for the security. See
                                                [OpenFIGI](https://www.openfigi.com/)
                                                for more information.
                                              type: object
                                              properties:
                                                figi_code:
                                                  description: >-
                                                    This identifier is unique per security
                                                    per trading venue. See section 1.4.1 of
                                                    the [FIGI
                                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                    for more information.
                                                  type: string
                                                  example: BBG000B9Y5X2
                                                  nullable: true
                                                figi_share_class:
                                                  description: >-
                                                    This enables users to link multiple
                                                    FIGIs for the same security in order to
                                                    obtain an aggregated view across all
                                                    countries and all exchanges. For
                                                    example, `AAPL` has a different FIGI for
                                                    each exchange/trading venue it is traded
                                                    on. The `figi_share_class` is the same
                                                    for all of these FIGIs. See section
                                                    1.4.3 of the [FIGI
                                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                    for more information.
                                                  type: string
                                                  example: BBG001S5N8V8
                                                  nullable: true
                                      required:
                                        - kind
                                        - id
                                        - symbol
                                        - raw_symbol
                                    - description: >-
                                        Security instrument metadata for crypto
                                        positions.
                                      type: object
                                      properties:
                                        kind:
                                          type: string
                                          description: Type of security instrument.
                                          enum:
                                            - crypto
                                          example: crypto
                                        id:
                                          type: string
                                          format: uuid
                                          description: Unique identifier for the instrument.
                                          example: 1ef3a5d3-4a9b-40b2-b8d1-cc35f74d6324
                                        symbol:
                                          type: string
                                          description: >-
                                            The formatted trading symbol for the
                                            security.
                                          example: AAPL
                                        raw_symbol:
                                          type: string
                                          description: >-
                                            The raw symbol without any exchange
                                            suffix.
                                          example: AAPL
                                        description:
                                          type: string
                                          nullable: true
                                          description: >-
                                            Human-readable description of the
                                            security.
                                          example: Apple Inc.
                                        currency:
                                          type: string
                                          nullable: true
                                          description: >-
                                            ISO-4217 currency code for the security
                                            listing.
                                          example: USD
                                        exchange:
                                          type: string
                                          nullable: true
                                          description: >-
                                            Exchange MIC code or exchange code for
                                            the security.
                                          example: XNAS
                                        figi_instrument:
                                          nullable: true
                                          allOf:
                                            - description: >-
                                                Financial Instrument Global Identifier
                                                (FIGI) information for the security. See
                                                [OpenFIGI](https://www.openfigi.com/)
                                                for more information.
                                              type: object
                                              properties:
                                                figi_code:
                                                  description: >-
                                                    This identifier is unique per security
                                                    per trading venue. See section 1.4.1 of
                                                    the [FIGI
                                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                    for more information.
                                                  type: string
                                                  example: BBG000B9Y5X2
                                                  nullable: true
                                                figi_share_class:
                                                  description: >-
                                                    This enables users to link multiple
                                                    FIGIs for the same security in order to
                                                    obtain an aggregated view across all
                                                    countries and all exchanges. For
                                                    example, `AAPL` has a different FIGI for
                                                    each exchange/trading venue it is traded
                                                    on. The `figi_share_class` is the same
                                                    for all of these FIGIs. See section
                                                    1.4.3 of the [FIGI
                                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                    for more information.
                                                  type: string
                                                  example: BBG001S5N8V8
                                                  nullable: true
                                      required:
                                        - kind
                                        - id
                                        - symbol
                                        - raw_symbol
                                    - description: >-
                                        Security instrument metadata for ETF
                                        positions.
                                      type: object
                                      properties:
                                        kind:
                                          type: string
                                          description: Type of security instrument.
                                          enum:
                                            - etf
                                          example: etf
                                        id:
                                          type: string
                                          format: uuid
                                          description: Unique identifier for the instrument.
                                          example: 1ef3a5d3-4a9b-40b2-b8d1-cc35f74d6324
                                        symbol:
                                          type: string
                                          description: >-
                                            The formatted trading symbol for the
                                            security.
                                          example: AAPL
                                        raw_symbol:
                                          type: string
                                          description: >-
                                            The raw symbol without any exchange
                                            suffix.
                                          example: AAPL
                                        description:
                                          type: string
                                          nullable: true
                                          description: >-
                                            Human-readable description of the
                                            security.
                                          example: Apple Inc.
                                        currency:
                                          type: string
                                          nullable: true
                                          description: >-
                                            ISO-4217 currency code for the security
                                            listing.
                                          example: USD
                                        exchange:
                                          type: string
                                          nullable: true
                                          description: >-
                                            Exchange MIC code or exchange code for
                                            the security.
                                          example: XNAS
                                        figi_instrument:
                                          nullable: true
                                          allOf:
                                            - description: >-
                                                Financial Instrument Global Identifier
                                                (FIGI) information for the security. See
                                                [OpenFIGI](https://www.openfigi.com/)
                                                for more information.
                                              type: object
                                              properties:
                                                figi_code:
                                                  description: >-
                                                    This identifier is unique per security
                                                    per trading venue. See section 1.4.1 of
                                                    the [FIGI
                                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                    for more information.
                                                  type: string
                                                  example: BBG000B9Y5X2
                                                  nullable: true
                                                figi_share_class:
                                                  description: >-
                                                    This enables users to link multiple
                                                    FIGIs for the same security in order to
                                                    obtain an aggregated view across all
                                                    countries and all exchanges. For
                                                    example, `AAPL` has a different FIGI for
                                                    each exchange/trading venue it is traded
                                                    on. The `figi_share_class` is the same
                                                    for all of these FIGIs. See section
                                                    1.4.3 of the [FIGI
                                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                    for more information.
                                                  type: string
                                                  example: BBG001S5N8V8
                                                  nullable: true
                                      required:
                                        - kind
                                        - id
                                        - symbol
                                        - raw_symbol
                                    - description: >-
                                        Security instrument metadata for mutual
                                        fund positions.
                                      type: object
                                      properties:
                                        kind:
                                          type: string
                                          description: Type of security instrument.
                                          enum:
                                            - mutualfund
                                          example: mutualfund
                                        id:
                                          type: string
                                          format: uuid
                                          description: Unique identifier for the instrument.
                                          example: 1ef3a5d3-4a9b-40b2-b8d1-cc35f74d6324
                                        symbol:
                                          type: string
                                          description: >-
                                            The formatted trading symbol for the
                                            security.
                                          example: VFIAX
                                        raw_symbol:
                                          type: string
                                          description: >-
                                            The raw symbol without any exchange
                                            suffix.
                                          example: VFIAX
                                        description:
                                          type: string
                                          nullable: true
                                          description: >-
                                            Human-readable description of the
                                            security.
                                          example: Vanguard 500 Index Fund Admiral Shares
                                        currency:
                                          type: string
                                          nullable: true
                                          description: >-
                                            ISO-4217 currency code for the security
                                            listing.
                                          example: USD
                                        exchange:
                                          type: string
                                          nullable: true
                                          description: >-
                                            Exchange MIC code or exchange code for
                                            the security.
                                          example: XNAS
                                        figi_instrument:
                                          nullable: true
                                          allOf:
                                            - description: >-
                                                Financial Instrument Global Identifier
                                                (FIGI) information for the security. See
                                                [OpenFIGI](https://www.openfigi.com/)
                                                for more information.
                                              type: object
                                              properties:
                                                figi_code:
                                                  description: >-
                                                    This identifier is unique per security
                                                    per trading venue. See section 1.4.1 of
                                                    the [FIGI
                                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                    for more information.
                                                  type: string
                                                  example: BBG000B9Y5X2
                                                  nullable: true
                                                figi_share_class:
                                                  description: >-
                                                    This enables users to link multiple
                                                    FIGIs for the same security in order to
                                                    obtain an aggregated view across all
                                                    countries and all exchanges. For
                                                    example, `AAPL` has a different FIGI for
                                                    each exchange/trading venue it is traded
                                                    on. The `figi_share_class` is the same
                                                    for all of these FIGIs. See section
                                                    1.4.3 of the [FIGI
                                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                    for more information.
                                                  type: string
                                                  example: BBG001S5N8V8
                                                  nullable: true
                                      required:
                                        - kind
                                        - id
                                        - symbol
                                        - raw_symbol
                                    - description: >-
                                        Security instrument metadata for
                                        closed-end fund positions.
                                      type: object
                                      properties:
                                        kind:
                                          type: string
                                          description: Type of security instrument.
                                          enum:
                                            - cef
                                          example: cef
                                        id:
                                          type: string
                                          format: uuid
                                          description: Unique identifier for the instrument.
                                          example: 1ef3a5d3-4a9b-40b2-b8d1-cc35f74d6324
                                        symbol:
                                          type: string
                                          description: >-
                                            The formatted trading symbol for the
                                            security.
                                          example: BST
                                        raw_symbol:
                                          type: string
                                          description: >-
                                            The raw symbol without any exchange
                                            suffix.
                                          example: BST
                                        description:
                                          type: string
                                          nullable: true
                                          description: >-
                                            Human-readable description of the
                                            security.
                                          example: BlackRock Science and Technology Trust
                                        currency:
                                          type: string
                                          nullable: true
                                          description: >-
                                            ISO-4217 currency code for the security
                                            listing.
                                          example: USD
                                        exchange:
                                          type: string
                                          nullable: true
                                          description: >-
                                            Exchange MIC code or exchange code for
                                            the security.
                                          example: XNYS
                                        figi_instrument:
                                          nullable: true
                                          allOf:
                                            - description: >-
                                                Financial Instrument Global Identifier
                                                (FIGI) information for the security. See
                                                [OpenFIGI](https://www.openfigi.com/)
                                                for more information.
                                              type: object
                                              properties:
                                                figi_code:
                                                  description: >-
                                                    This identifier is unique per security
                                                    per trading venue. See section 1.4.1 of
                                                    the [FIGI
                                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                    for more information.
                                                  type: string
                                                  example: BBG000B9Y5X2
                                                  nullable: true
                                                figi_share_class:
                                                  description: >-
                                                    This enables users to link multiple
                                                    FIGIs for the same security in order to
                                                    obtain an aggregated view across all
                                                    countries and all exchanges. For
                                                    example, `AAPL` has a different FIGI for
                                                    each exchange/trading venue it is traded
                                                    on. The `figi_share_class` is the same
                                                    for all of these FIGIs. See section
                                                    1.4.3 of the [FIGI
                                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                    for more information.
                                                  type: string
                                                  example: BBG001S5N8V8
                                                  nullable: true
                                      required:
                                        - kind
                                        - id
                                        - symbol
                                        - raw_symbol
                                    - description: >-
                                        Security instrument metadata for ADR
                                        positions.
                                      type: object
                                      properties:
                                        kind:
                                          type: string
                                          description: Type of security instrument.
                                          enum:
                                            - adr
                                          example: adr
                                        id:
                                          type: string
                                          format: uuid
                                          description: Unique identifier for the instrument.
                                          example: 1ef3a5d3-4a9b-40b2-b8d1-cc35f74d6324
                                        symbol:
                                          type: string
                                          description: >-
                                            The formatted trading symbol for the
                                            security.
                                          example: BABA
                                        raw_symbol:
                                          type: string
                                          description: >-
                                            The raw symbol without any exchange
                                            suffix.
                                          example: BABA
                                        description:
                                          type: string
                                          nullable: true
                                          description: >-
                                            Human-readable description of the
                                            security.
                                          example: Alibaba Group Holding Ltd ADR
                                        currency:
                                          type: string
                                          nullable: true
                                          description: >-
                                            ISO-4217 currency code for the security
                                            listing.
                                          example: USD
                                        exchange:
                                          type: string
                                          nullable: true
                                          description: >-
                                            Exchange MIC code or exchange code for
                                            the security.
                                          example: XNYS
                                        figi_instrument:
                                          nullable: true
                                          allOf:
                                            - description: >-
                                                Financial Instrument Global Identifier
                                                (FIGI) information for the security. See
                                                [OpenFIGI](https://www.openfigi.com/)
                                                for more information.
                                              type: object
                                              properties:
                                                figi_code:
                                                  description: >-
                                                    This identifier is unique per security
                                                    per trading venue. See section 1.4.1 of
                                                    the [FIGI
                                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                    for more information.
                                                  type: string
                                                  example: BBG000B9Y5X2
                                                  nullable: true
                                                figi_share_class:
                                                  description: >-
                                                    This enables users to link multiple
                                                    FIGIs for the same security in order to
                                                    obtain an aggregated view across all
                                                    countries and all exchanges. For
                                                    example, `AAPL` has a different FIGI for
                                                    each exchange/trading venue it is traded
                                                    on. The `figi_share_class` is the same
                                                    for all of these FIGIs. See section
                                                    1.4.3 of the [FIGI
                                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                    for more information.
                                                  type: string
                                                  example: BBG001S5N8V8
                                                  nullable: true
                                      required:
                                        - kind
                                        - id
                                        - symbol
                                        - raw_symbol
                                    - description: >-
                                        Security instrument metadata for other
                                        mapped security positions.
                                      type: object
                                      properties:
                                        kind:
                                          type: string
                                          description: Type of security instrument.
                                          enum:
                                            - other
                                          example: other
                                        id:
                                          type: string
                                          format: uuid
                                          description: Unique identifier for the instrument.
                                          example: 1ef3a5d3-4a9b-40b2-b8d1-cc35f74d6324
                                        symbol:
                                          type: string
                                          description: >-
                                            The formatted trading symbol for the
                                            security.
                                          example: AAPL
                                        raw_symbol:
                                          type: string
                                          description: >-
                                            The raw symbol without any exchange
                                            suffix.
                                          example: AAPL
                                        description:
                                          type: string
                                          nullable: true
                                          description: >-
                                            Human-readable description of the
                                            security.
                                          example: Apple Inc.
                                        currency:
                                          type: string
                                          nullable: true
                                          description: >-
                                            ISO-4217 currency code for the security
                                            listing.
                                          example: USD
                                        exchange:
                                          type: string
                                          nullable: true
                                          description: >-
                                            Exchange MIC code or exchange code for
                                            the security.
                                          example: XNAS
                                        figi_instrument:
                                          nullable: true
                                          allOf:
                                            - description: >-
                                                Financial Instrument Global Identifier
                                                (FIGI) information for the security. See
                                                [OpenFIGI](https://www.openfigi.com/)
                                                for more information.
                                              type: object
                                              properties:
                                                figi_code:
                                                  description: >-
                                                    This identifier is unique per security
                                                    per trading venue. See section 1.4.1 of
                                                    the [FIGI
                                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                    for more information.
                                                  type: string
                                                  example: BBG000B9Y5X2
                                                  nullable: true
                                                figi_share_class:
                                                  description: >-
                                                    This enables users to link multiple
                                                    FIGIs for the same security in order to
                                                    obtain an aggregated view across all
                                                    countries and all exchanges. For
                                                    example, `AAPL` has a different FIGI for
                                                    each exchange/trading venue it is traded
                                                    on. The `figi_share_class` is the same
                                                    for all of these FIGIs. See section
                                                    1.4.3 of the [FIGI
                                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                    for more information.
                                                  type: string
                                                  example: BBG001S5N8V8
                                                  nullable: true
                                      required:
                                        - kind
                                        - id
                                        - symbol
                                        - raw_symbol
                                  discriminator:
                                    propertyName: kind
                                    mapping:
                                      stock: '#/components/schemas/StockInstrument'
                                      crypto: '#/components/schemas/CryptoInstrument'
                                      etf: '#/components/schemas/EtfInstrument'
                                      mutualfund: >-
                                        #/components/schemas/MutualFundInstrument
                                      cef: '#/components/schemas/CefInstrument'
                                      adr: '#/components/schemas/AdrInstrument'
                                      other: '#/components/schemas/OtherInstrument'
                              required:
                                - kind
                                - id
                                - symbol
                                - option_type
                                - strike_price
                                - expiration_date
                                - underlying
                            - description: >-
                                Security instrument metadata for crypto
                                positions.
                              type: object
                              properties:
                                kind:
                                  type: string
                                  description: Type of security instrument.
                                  enum:
                                    - crypto
                                  example: crypto
                                id:
                                  type: string
                                  format: uuid
                                  description: Unique identifier for the instrument.
                                  example: 1ef3a5d3-4a9b-40b2-b8d1-cc35f74d6324
                                symbol:
                                  type: string
                                  description: >-
                                    The formatted trading symbol for the
                                    security.
                                  example: AAPL
                                raw_symbol:
                                  type: string
                                  description: The raw symbol without any exchange suffix.
                                  example: AAPL
                                description:
                                  type: string
                                  nullable: true
                                  description: Human-readable description of the security.
                                  example: Apple Inc.
                                currency:
                                  type: string
                                  nullable: true
                                  description: >-
                                    ISO-4217 currency code for the security
                                    listing.
                                  example: USD
                                exchange:
                                  type: string
                                  nullable: true
                                  description: >-
                                    Exchange MIC code or exchange code for the
                                    security.
                                  example: XNAS
                                figi_instrument:
                                  nullable: true
                                  allOf:
                                    - description: >-
                                        Financial Instrument Global Identifier
                                        (FIGI) information for the security. See
                                        [OpenFIGI](https://www.openfigi.com/)
                                        for more information.
                                      type: object
                                      properties:
                                        figi_code:
                                          description: >-
                                            This identifier is unique per security
                                            per trading venue. See section 1.4.1 of
                                            the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG000B9Y5X2
                                          nullable: true
                                        figi_share_class:
                                          description: >-
                                            This enables users to link multiple
                                            FIGIs for the same security in order to
                                            obtain an aggregated view across all
                                            countries and all exchanges. For
                                            example, `AAPL` has a different FIGI for
                                            each exchange/trading venue it is traded
                                            on. The `figi_share_class` is the same
                                            for all of these FIGIs. See section
                                            1.4.3 of the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG001S5N8V8
                                          nullable: true
                              required:
                                - kind
                                - id
                                - symbol
                                - raw_symbol
                            - description: Future instrument metadata for a V2 position.
                              type: object
                              properties:
                                kind:
                                  type: string
                                  description: Type of security instrument.
                                  enum:
                                    - future
                                  example: future
                                id:
                                  type: string
                                  format: uuid
                                  description: Unique identifier for the future instrument.
                                  example: 2fef6a3c-4d3f-4a0a-b1fe-8c45a9c7da7f
                                symbol:
                                  type: string
                                  description: Display symbol for the future contract.
                                  example: ESM26
                                root_symbol:
                                  type: string
                                  description: Root symbol for the future contract.
                                  example: ES
                                expiration_code:
                                  type: string
                                  description: Exchange expiration code for the contract.
                                  example: M26
                                expiration_date:
                                  type: string
                                  format: date
                                  nullable: true
                                  description: Expiration date of the contract.
                                  example: '2024-09-20'
                                multiplier:
                                  type: string
                                  format: decimal
                                  nullable: true
                                  description: Multiplier for the future contract.
                                  example: '50'
                                currency:
                                  type: string
                                  nullable: true
                                  description: ISO-4217 currency code for the contract.
                                  example: USD
                                exchange:
                                  type: string
                                  nullable: true
                                  description: >-
                                    Exchange MIC code or exchange code for the
                                    contract.
                                  example: XCME
                              required:
                                - kind
                                - id
                                - symbol
                                - root_symbol
                                - expiration_code
                            - description: Security instrument metadata for ETF positions.
                              type: object
                              properties:
                                kind:
                                  type: string
                                  description: Type of security instrument.
                                  enum:
                                    - etf
                                  example: etf
                                id:
                                  type: string
                                  format: uuid
                                  description: Unique identifier for the instrument.
                                  example: 1ef3a5d3-4a9b-40b2-b8d1-cc35f74d6324
                                symbol:
                                  type: string
                                  description: >-
                                    The formatted trading symbol for the
                                    security.
                                  example: AAPL
                                raw_symbol:
                                  type: string
                                  description: The raw symbol without any exchange suffix.
                                  example: AAPL
                                description:
                                  type: string
                                  nullable: true
                                  description: Human-readable description of the security.
                                  example: Apple Inc.
                                currency:
                                  type: string
                                  nullable: true
                                  description: >-
                                    ISO-4217 currency code for the security
                                    listing.
                                  example: USD
                                exchange:
                                  type: string
                                  nullable: true
                                  description: >-
                                    Exchange MIC code or exchange code for the
                                    security.
                                  example: XNAS
                                figi_instrument:
                                  nullable: true
                                  allOf:
                                    - description: >-
                                        Financial Instrument Global Identifier
                                        (FIGI) information for the security. See
                                        [OpenFIGI](https://www.openfigi.com/)
                                        for more information.
                                      type: object
                                      properties:
                                        figi_code:
                                          description: >-
                                            This identifier is unique per security
                                            per trading venue. See section 1.4.1 of
                                            the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG000B9Y5X2
                                          nullable: true
                                        figi_share_class:
                                          description: >-
                                            This enables users to link multiple
                                            FIGIs for the same security in order to
                                            obtain an aggregated view across all
                                            countries and all exchanges. For
                                            example, `AAPL` has a different FIGI for
                                            each exchange/trading venue it is traded
                                            on. The `figi_share_class` is the same
                                            for all of these FIGIs. See section
                                            1.4.3 of the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG001S5N8V8
                                          nullable: true
                              required:
                                - kind
                                - id
                                - symbol
                                - raw_symbol
                            - description: >-
                                Security instrument metadata for mutual fund
                                positions.
                              type: object
                              properties:
                                kind:
                                  type: string
                                  description: Type of security instrument.
                                  enum:
                                    - mutualfund
                                  example: mutualfund
                                id:
                                  type: string
                                  format: uuid
                                  description: Unique identifier for the instrument.
                                  example: 1ef3a5d3-4a9b-40b2-b8d1-cc35f74d6324
                                symbol:
                                  type: string
                                  description: >-
                                    The formatted trading symbol for the
                                    security.
                                  example: VFIAX
                                raw_symbol:
                                  type: string
                                  description: The raw symbol without any exchange suffix.
                                  example: VFIAX
                                description:
                                  type: string
                                  nullable: true
                                  description: Human-readable description of the security.
                                  example: Vanguard 500 Index Fund Admiral Shares
                                currency:
                                  type: string
                                  nullable: true
                                  description: >-
                                    ISO-4217 currency code for the security
                                    listing.
                                  example: USD
                                exchange:
                                  type: string
                                  nullable: true
                                  description: >-
                                    Exchange MIC code or exchange code for the
                                    security.
                                  example: XNAS
                                figi_instrument:
                                  nullable: true
                                  allOf:
                                    - description: >-
                                        Financial Instrument Global Identifier
                                        (FIGI) information for the security. See
                                        [OpenFIGI](https://www.openfigi.com/)
                                        for more information.
                                      type: object
                                      properties:
                                        figi_code:
                                          description: >-
                                            This identifier is unique per security
                                            per trading venue. See section 1.4.1 of
                                            the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG000B9Y5X2
                                          nullable: true
                                        figi_share_class:
                                          description: >-
                                            This enables users to link multiple
                                            FIGIs for the same security in order to
                                            obtain an aggregated view across all
                                            countries and all exchanges. For
                                            example, `AAPL` has a different FIGI for
                                            each exchange/trading venue it is traded
                                            on. The `figi_share_class` is the same
                                            for all of these FIGIs. See section
                                            1.4.3 of the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG001S5N8V8
                                          nullable: true
                              required:
                                - kind
                                - id
                                - symbol
                                - raw_symbol
                            - description: >-
                                Security instrument metadata for closed-end fund
                                positions.
                              type: object
                              properties:
                                kind:
                                  type: string
                                  description: Type of security instrument.
                                  enum:
                                    - cef
                                  example: cef
                                id:
                                  type: string
                                  format: uuid
                                  description: Unique identifier for the instrument.
                                  example: 1ef3a5d3-4a9b-40b2-b8d1-cc35f74d6324
                                symbol:
                                  type: string
                                  description: >-
                                    The formatted trading symbol for the
                                    security.
                                  example: BST
                                raw_symbol:
                                  type: string
                                  description: The raw symbol without any exchange suffix.
                                  example: BST
                                description:
                                  type: string
                                  nullable: true
                                  description: Human-readable description of the security.
                                  example: BlackRock Science and Technology Trust
                                currency:
                                  type: string
                                  nullable: true
                                  description: >-
                                    ISO-4217 currency code for the security
                                    listing.
                                  example: USD
                                exchange:
                                  type: string
                                  nullable: true
                                  description: >-
                                    Exchange MIC code or exchange code for the
                                    security.
                                  example: XNYS
                                figi_instrument:
                                  nullable: true
                                  allOf:
                                    - description: >-
                                        Financial Instrument Global Identifier
                                        (FIGI) information for the security. See
                                        [OpenFIGI](https://www.openfigi.com/)
                                        for more information.
                                      type: object
                                      properties:
                                        figi_code:
                                          description: >-
                                            This identifier is unique per security
                                            per trading venue. See section 1.4.1 of
                                            the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG000B9Y5X2
                                          nullable: true
                                        figi_share_class:
                                          description: >-
                                            This enables users to link multiple
                                            FIGIs for the same security in order to
                                            obtain an aggregated view across all
                                            countries and all exchanges. For
                                            example, `AAPL` has a different FIGI for
                                            each exchange/trading venue it is traded
                                            on. The `figi_share_class` is the same
                                            for all of these FIGIs. See section
                                            1.4.3 of the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG001S5N8V8
                                          nullable: true
                              required:
                                - kind
                                - id
                                - symbol
                                - raw_symbol
                            - description: Security instrument metadata for ADR positions.
                              type: object
                              properties:
                                kind:
                                  type: string
                                  description: Type of security instrument.
                                  enum:
                                    - adr
                                  example: adr
                                id:
                                  type: string
                                  format: uuid
                                  description: Unique identifier for the instrument.
                                  example: 1ef3a5d3-4a9b-40b2-b8d1-cc35f74d6324
                                symbol:
                                  type: string
                                  description: >-
                                    The formatted trading symbol for the
                                    security.
                                  example: BABA
                                raw_symbol:
                                  type: string
                                  description: The raw symbol without any exchange suffix.
                                  example: BABA
                                description:
                                  type: string
                                  nullable: true
                                  description: Human-readable description of the security.
                                  example: Alibaba Group Holding Ltd ADR
                                currency:
                                  type: string
                                  nullable: true
                                  description: >-
                                    ISO-4217 currency code for the security
                                    listing.
                                  example: USD
                                exchange:
                                  type: string
                                  nullable: true
                                  description: >-
                                    Exchange MIC code or exchange code for the
                                    security.
                                  example: XNYS
                                figi_instrument:
                                  nullable: true
                                  allOf:
                                    - description: >-
                                        Financial Instrument Global Identifier
                                        (FIGI) information for the security. See
                                        [OpenFIGI](https://www.openfigi.com/)
                                        for more information.
                                      type: object
                                      properties:
                                        figi_code:
                                          description: >-
                                            This identifier is unique per security
                                            per trading venue. See section 1.4.1 of
                                            the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG000B9Y5X2
                                          nullable: true
                                        figi_share_class:
                                          description: >-
                                            This enables users to link multiple
                                            FIGIs for the same security in order to
                                            obtain an aggregated view across all
                                            countries and all exchanges. For
                                            example, `AAPL` has a different FIGI for
                                            each exchange/trading venue it is traded
                                            on. The `figi_share_class` is the same
                                            for all of these FIGIs. See section
                                            1.4.3 of the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG001S5N8V8
                                          nullable: true
                              required:
                                - kind
                                - id
                                - symbol
                                - raw_symbol
                            - description: >-
                                Security instrument metadata for other mapped
                                security positions.
                              type: object
                              properties:
                                kind:
                                  type: string
                                  description: Type of security instrument.
                                  enum:
                                    - other
                                  example: other
                                id:
                                  type: string
                                  format: uuid
                                  description: Unique identifier for the instrument.
                                  example: 1ef3a5d3-4a9b-40b2-b8d1-cc35f74d6324
                                symbol:
                                  type: string
                                  description: >-
                                    The formatted trading symbol for the
                                    security.
                                  example: AAPL
                                raw_symbol:
                                  type: string
                                  description: The raw symbol without any exchange suffix.
                                  example: AAPL
                                description:
                                  type: string
                                  nullable: true
                                  description: Human-readable description of the security.
                                  example: Apple Inc.
                                currency:
                                  type: string
                                  nullable: true
                                  description: >-
                                    ISO-4217 currency code for the security
                                    listing.
                                  example: USD
                                exchange:
                                  type: string
                                  nullable: true
                                  description: >-
                                    Exchange MIC code or exchange code for the
                                    security.
                                  example: XNAS
                                figi_instrument:
                                  nullable: true
                                  allOf:
                                    - description: >-
                                        Financial Instrument Global Identifier
                                        (FIGI) information for the security. See
                                        [OpenFIGI](https://www.openfigi.com/)
                                        for more information.
                                      type: object
                                      properties:
                                        figi_code:
                                          description: >-
                                            This identifier is unique per security
                                            per trading venue. See section 1.4.1 of
                                            the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG000B9Y5X2
                                          nullable: true
                                        figi_share_class:
                                          description: >-
                                            This enables users to link multiple
                                            FIGIs for the same security in order to
                                            obtain an aggregated view across all
                                            countries and all exchanges. For
                                            example, `AAPL` has a different FIGI for
                                            each exchange/trading venue it is traded
                                            on. The `figi_share_class` is the same
                                            for all of these FIGIs. See section
                                            1.4.3 of the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG001S5N8V8
                                          nullable: true
                              required:
                                - kind
                                - id
                                - symbol
                                - raw_symbol
                          discriminator:
                            propertyName: kind
                            mapping:
                              stock: '#/components/schemas/StockInstrument'
                              option: '#/components/schemas/OptionInstrument'
                              crypto: '#/components/schemas/CryptoInstrument'
                              future: '#/components/schemas/FutureInstrument'
                              etf: '#/components/schemas/EtfInstrument'
                              mutualfund: '#/components/schemas/MutualFundInstrument'
                              cef: '#/components/schemas/CefInstrument'
                              adr: '#/components/schemas/AdrInstrument'
                              other: '#/components/schemas/OtherInstrument'
                        units:
                          type: string
                          format: decimal
                          nullable: true
                          description: >-
                            The number of units held in the position. Positive
                            numbers indicate long positions and negative numbers
                            indicate short positions.
                          example: '10.5'
                        price:
                          type: string
                          format: decimal
                          nullable: true
                          description: Last known market price for the position.
                          example: '123.45'
                        cost_basis:
                          type: string
                          format: decimal
                          nullable: true
                          description: >-
                            Book price or average purchase price for the
                            position.
                          example: '118.2'
                        currency:
                          type: string
                          nullable: true
                          description: >-
                            ISO-4217 currency code for the position `price` and
                            `cost_basis`.
                          example: USD
                        cash_equivalent:
                          type: boolean
                          description: >-
                            Present for mutual fund positions that are also
                            counted in cash balance or buying power.
                          example: false
                        tax_lots:
                          type: array
                          description: >-
                            List of tax lots for the given position (disabled by
                            default, only available on paid plans, contact
                            support if needed)
                          items:
                            description: Describes a single tax lot for a position.
                            type: object
                            properties:
                              original_purchase_date:
                                nullable: true
                                type: string
                                format: date-time
                                description: The date and time of the purchase.
                                example: '2022-01-15T10:30:00Z'
                              quantity:
                                nullable: true
                                type: string
                                description: >-
                                  The number of shares in the tax lot. This can
                                  be fractional or integer units.
                                example: '10'
                              purchased_price:
                                nullable: true
                                type: string
                                description: The purchase price per share for the tax lot.
                                example: '100.50'
                              cost_basis:
                                nullable: true
                                type: string
                                description: The cost basis of the entire lot.
                                example: '1005.00'
                              current_value:
                                nullable: true
                                type: string
                                description: The current market value of the entire lot.
                                example: '1200.00'
                              position_type:
                                nullable: true
                                type: string
                                description: >-
                                  The type of position for the tax lot (e.g.,
                                  LONG, SHORT).
                                example: LONG
                              lot_id:
                                nullable: true
                                type: string
                                description: The unique id for this specific tax lot
                                example: '12345678'
                      required:
                        - instrument
                  data_freshness:
                    type: object
                    description: >-
                      Metadata describing freshness of the returned positions
                      data.
                    properties:
                      as_of:
                        type: string
                        format: date-time
                        description: >-
                          The time the returned positions data was fetched from
                          the brokerage.
                        example: '2026-06-02T14:30:00.000Z'
                    required:
                      - as_of
                required:
                  - results
                  - data_freshness
        default:
          description: Unexpected error

```